jitpack.io no pudo resolver el repository de github

Tengo un repository de Github y he insertado tags en él.

Este es mi file gradle de mi proyecto principal.

apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion "23.0.0" defaultConfig { applicationId "dropbox.ric.es.myapplication" minSdkVersion 16 targetSdkVersion 23 versionCode 1 versionName "1.0" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } repositories { //mavenCentral() //jcenter() maven { url "https://jitpack.io" } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:appcompat-v7:23.0.1' compile 'com.github.rchampa:DropboxHttpConector:1.0.1' } 

Pero cuando sincronizo gradle tengo el siguiente error. Failed to resolve com.github.rchampa:DropboxHttpConector:1.0.1

Otro bash:

 allprojects { repositories { jcenter() maven { url "https://jitpack.io" } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:appcompat-v7:23.0.1' compile 'com.github.rchampa:DropboxHttpConector:1.0.1' } 

Aún fallando

Para cualquier otra persona que cometió el simple error que cometí:

Asegúrese de agregar maven { url "https://jitpack.io" } en todos los allprojects lugar de en buildscript . XD

Proyecto file build.gradle :

 buildscript { repositories { jcenter() // DO NOT ADD IT HERE!!! } ... } allprojects { repositories { mavenLocal() jcenter() // ADD IT HERE maven { url "https://jitpack.io" } } } 

Gracias a Alexander Pacha por señalarlo en un comentario anterior.

Tengo varias dependencies de Jitpack y me encontré con este problema después de migrar a Gradle 2.

La solución en mi caso fue cambiar la versión en distributionUrl en gradle-wrapper.properties desde 2.10 (que fue configurada automáticamente por Studio cuando acepté la actualización de la versión de contenedor) a la última .

Después de unos pocos bashs y gracias al soporte de jitpack ahora puedo importar mi biblioteca alojada en Github como una dependencia de Android Gradle.

Proporcionaré algunos enlaces muy útiles:

Cómo configurar su biblioteca java

 https://jitpack.io/docs/BUILDING/#gradle-projects 

Cómo verificar los loggings de su dependencia en jitpack

 https://jitpack.io/com/github/USER/REPO/TAG/build.log 

En mi caso

 https://jitpack.io/com/github/rchampa/DropboxHttpConector/1.0.3/build.log 

Me encuentro con este problema cuando bash importar orhanobut / logger desde github. Luego voy a jitpack.io y busco el package: find logger en jitpack Luego hice clic en el icono de logging y encontré:

Inicio: Jue 14 Ene 11:56:56 UTC 2016 Git: v1.9 commit 5abbc1563422457d4c23e1a0a412d2b0c7dc334e Fusionar: 8ef1e6b 522d44d Autor: Orhan Obut Fecha: Mon 25 de mayo 11:34:20 2015 +0200

Fusionar la request de extracción n. ° 30 del estado del submodule orhanobut / oo / settings-fix: ejecutar la creación de gradle Script de creación de Gradle Recogido JAVA_TOOL_OPTIONS: -Dfile.encoding = download UTF-8 https://services.gradle.org/distributions/gradle-2.2 .1- all.zip

Así que esto es todo, usa gradle 2.2.1-all!

Luego voy a mi proyecto y cambio la versión de Gradle a 2.2.1 en settings.gradle, ¡todo funcionó bien!